Package com.xebialabs.deployit.plugin.api.udm

# Enum Class Property.Size

java.lang.Object
java.lang.Enum<Property.Size>
com.xebialabs.deployit.plugin.api.udm.Property.Size

All Implemented Interfaces:
  `Serializable`, `Comparable<Property.Size>`, `Constable`

Enclosing class:
  `Property`

public static enum Property.Size extends Enum<Property.Size>
Defines a number of standard sizes for configuration item properties.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Defines that the configuration item property should be shown using the default size.
  `LARGE`
  Defines that the configuration item property should be shown using the large size.
  `MEDIUM`
  Defines that the configuration item property should be shown using the medium size.
  `SMALL`
  Defines that the configuration item property should be shown using the small size.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Property.Size`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Property.Size[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final Property.Size DEFAULT
    Defines that the configuration item property should be shown using the default size.

  - ### SMALL

    public static final Property.Size SMALL
    Defines that the configuration item property should be shown using the small size.

  - ### MEDIUM

    public static final Property.Size MEDIUM
    Defines that the configuration item property should be shown using the medium size.

  - ### LARGE

    public static final Property.Size LARGE
    Defines that the configuration item property should be shown using the large size.

- ## Method Details

  - ### values

    public static Property.Size[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Property.Size valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null